%define name pybliographer
%define version 1.0.11
%define release 7mdk
%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary: 	A framework for working with bibliographic databases.
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Group:		Office
Url:         http://canvas.gnome.org:65348/pybliographer/
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/pyblio/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png.bz2
Source2:        %{name}-32.png.bz2
Source3:        %{name}-48.png.bz2
# (fc) warning : this is very ugly but pybliographer doesn't work with recode > 3.5
Source4:		recode-3.5.tar.bz2
Patch0:			%{name}.python.patch.bz2
Requires: 	    pygnome >= 1.4.0
Buildrequires:	python-devel libglib-devel pygnome
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Autoreqprov: no
Requires:		%{lib_name}

%description
Pybliographer is a tool for managing bibliographic databases. It
currently supports the following formats: 

- BibTeX (quite complete) 
- Medline (read-only) 
- Ovid files (from ovid.com) 
- Refer and EndNote (read only)
- SGML DocBook (write only) 

Pybliographer can be used for searching, editing, reformatting, etc.
In fact, it's a simple framework that provides easy to use python
classes and functions, and therefore can be extended to any usage
(generating HTML pages according to bibliographic searches, etc).

In addition to the scripting environment, a graphical GNOME interface
is available. It provides powerful editing capabilities, in addition
to a nice hierarchical search mechanism.

%package -n %{lib_name}
Summary:	Main library for pybliographer
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}

%description -n %{lib_name}
This package contains the library needed to run pybliographer.

%package -n %{lib_name}-devel
Summary:        Headers for developing programs that will use pybliographer
Group:          Development/Python
Requires:       %{name} = %{version}
Requires:		%{lib_name} = %{version}
Obsoletes:		%{name}-devel
Provides:		%{name}-devel = %{version}
Provides:		%{lib_name_orig}-devel = %{version}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use to develop
pybliographer applications.

%prep
%setup -q -a 4
%patch -p0

%build

(cd recode-3.5 && CFLAGS='-O0 -fPIC' ./configure --disable-shared --prefix=%{_prefix} )
make -C recode-3.5
ln -s -f .libs recode-3.5/src/lib
ln -s -f . recode-3.5/src/bin
ln -s -f . recode-3.5/src/include

rm -f recode-3.5/src/lib/*.la

CPPFLAGS='-I$(pwd)/recode-3.5/src' \
 DISPLAY="" PATH="$(pwd)/recode-3.5/src:$PATH" \
 %configure --with-recode-prefix="$PWD/recode-3.5/src"

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

chmod -x $RPM_BUILD_ROOT%{_datadir}/pybliographer/*.py

%{find_lang} %{name} --with-gnome --all-name

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/pybliographic" title="Pybliographic" icon="pybliographic.png" longtitle="A tool for managing bibliographic databases" needs="x11" section="Applications/Publishing"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/pybliographic.png
bzip2 -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/pybliographic.png
bzip2 -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/pybliographic.png

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/pybliographer
%{_datadir}/gnome/apps/*/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/pybliographer
%{_menudir}/%{name}
%{_iconsdir}/pybliographic.png
%{_miconsdir}/pybliographic.png
%{_liconsdir}/pybliographic.png

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libbibtex.a
%{_libdir}/libbibtex.la
%{_libdir}/libbibtex.so

%changelog
* Tue Sep 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-7mdk
- add patch for python compiling pb with path
- add %%provides %{lib_name_orig} on lib

* Tue Sep 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-6mdk
- Lower gcc 3.2 optimizations to -O0 for recode, this was causing an error 
  when python was trying to dlopen _recodemodule.so
- Remove NO_XALF from menu entry

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-5mdk
- Fix forget icons entry

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-4mdk
- png icons (out xpm!)

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-3mdk
- Readd documentation, it seems to be missing

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-2mdk
- Remove patch 0, add source4 : we now ship with our own copy 
  of recode 3.5 (since pybliographer doesn't seem to work with recode 3.6..)
  (idea from Debian package)

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-1mdk
- Release 1.0.11
- Patch0: fix compilation with recode > 3.5

* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-4mdk
- Merge spec (with fix for libification) from Guillaume Rousse <g.rousse@linux-mandrake.com>
 - move back modules from lib package to main package
 - fix compilation
 - split libraries in their own package
 - buildrequires python-devel and libglib-devel
 - truncated descriptions to 72 columns to please rpmlint

* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- Clean at start of install part (fix miscompilation of Python modules)

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- Fix dependencies 

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- New office menu structure

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- updated to 1.0.8

* Thu Dec 21 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- updated by RA <Ralf.Ahlbrink@i.am>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- used srpm from Guillaume Rousse :
	Tue Sep 26 2000 Guillaume Rousse <g.rousse@linux-mandrake.co> 
	- added recode require

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- used srpm from Guillaume Rousse :
	Thu Jul 27 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
	- new in contribs
	- specfile adaptation from original provided by Konrad Hinsen <hinsen@cnrs-orleans.fr>
